searchData={"items":[{"type":"module","title":"OpentelemetryReq","doc":"Wraps the request in an opentelemetry span. Span names must be paramaterized, so the\n`req_path_params` module and step should be registered before this step. This step is\nexpected by default and an error will be raised if the path params option is\nnot set for the request.\n\nSpans are not created until the request is completed or errored.","ref":"OpentelemetryReq.html"},{"type":"module","title":"Request Options - OpentelemetryReq","doc":"* `:span_name` - `String.t()` if provided, overrides the span name. Defaults to `nil`.\n  * `:no_path_params` - `boolean()` when set to `true` no path params are expected for the request. Defaults to `false`\n  * `:propagate_trace_ctx` - `boolean()` when set to `true`, trace headers will be propagated. Defaults to `false`\n\n#","ref":"OpentelemetryReq.html#module-request-options"},{"type":"module","title":"Example with path_params - OpentelemetryReq","doc":"```\nclient =\n  Req.new()\n  |> OpentelemetryReq.attach(\n    base_url: \"http://localhost:4000\",\n    propagate_trace_ctx: true\n  )\n\nclient\n|> Req.get(\n  url: \"/api/users/:user_id\",\n  path_params: [user_id: user_id]\n)\n```\n\n#","ref":"OpentelemetryReq.html#module-example-with-path_params"},{"type":"module","title":"Example without path_params - OpentelemetryReq","doc":"```\nclient =\n  Req.new()\n  |> OpentelemetryReq.attach(\n    base_url: \"http://localhost:4000\",\n    propagate_trace_ctx: true,\n    no_path_params: true\n  )\n\nclient\n|> Req.get(\n  url: \"/api/users\"\n)\n```\nIf you don't set `path_params` the request will raise.","ref":"OpentelemetryReq.html#module-example-without-path_params"},{"type":"function","title":"OpentelemetryReq.attach/2","doc":"","ref":"OpentelemetryReq.html#attach/2"},{"type":"exception","title":"OpentelemetryReq.PathParamsOptionError","doc":"","ref":"OpentelemetryReq.PathParamsOptionError.html"},{"type":"function","title":"OpentelemetryReq.PathParamsOptionError.new/0","doc":"","ref":"OpentelemetryReq.PathParamsOptionError.html#new/0"},{"type":"extras","title":"OpentelemetryReq","doc":"# OpentelemetryReq\n\n[![EEF Observability WG project](https://img.shields.io/badge/EEF-Observability-black)](https://github.com/erlef/eef-observability-wg)\n[![Hex.pm](https://img.shields.io/hexpm/v/opentelemetry_phoenix)](https://hex.pm/packages/opentelemetry_req)\n\n[Req](https://hex.pm/packages/req) plugin for OpenTelemetry instrumentation and propagation.\n\nSee [Docs](https://hex.pm/packages/opentelemetry_req) for usage instructions.","ref":"readme.html"},{"type":"extras","title":"Installation - OpentelemetryReq","doc":"```elixir\ndef deps do\n  [\n    {:opentelemetry_req, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"content_type":"text/markdown"}